Creates a new group owned by the authenticated user.

Authentication required.

Body Params
name
string
required
Group name
description
string
Group description (supports markdown)
avatar_url
string
URL of an avatar image to fetch asynchronously.
POST
https://api.are.na/v3/groups
Full group representation
id
integer!
Unique identifier for the group
type
string!
Group type
Group
name
string!
Group's name
slug
string!
Group's URL slug
avatar
string | null (uri)!
URL to group's avatar image
initials
string!
Group's initials
description
MarkdownContent
Group description with markdown, HTML, and plain text renderings
MarkdownContent
MarkdownContent
Markdown content with multiple renderings
markdown
string!
Original markdown value
html
string!
HTML rendering of the markdown
plain
string!
Plain text rendering of the markdown
unknown
null
created_at
string (date-time)!
When the group was created
updated_at
string (date-time)!
When the group was last updated
user
EmbeddedUser!
Embedded user representation (used when user is nested in other resources)
id
integer!
Unique identifier for the user
type
string!
User type
User
name
string!
User's display name
slug
string!
URL-safe identifier (use this in API paths)
avatar
string | null (uri)!
URL to user's avatar image
initials
string!
User's initials
counts
GroupCounts!
Counts of various items for the group
channels
integer!
Number of channels owned by the group
users
integer!
Number of users in the group
can
GroupAbilities!
Actions the current user can perform on the group
update
boolean!
Whether the user can update this group
destroy
boolean!
Whether the user can delete this group
manage_members
boolean!
Whether the user can add/remove group members
manage_invitations
boolean!
Whether the user can create/revoke group invitations
_links
Links!
HATEOAS links for navigation and discovery.
self
Link!
A hypermedia link containing the URL of a linked resource.
href
string (uri)!
The URL of the linked resource
[key: string]
Link
A hypermedia link containing the URL of a linked resource.
href
string (uri)!
The URL of the linked resource